Bug 729515 - Currently related topic list shows multiple entries
Summary: Currently related topic list shows multiple entries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: PressGang CCMS
Classification: Community
Component: Web-UI
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Sean Rogers
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 02:09 UTC by Sean Rogers
Modified: 2014-07-25 04:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-23 03:15:17 UTC


Attachments (Terms of Use)
Screenshot showing the bug (17.81 KB, image/png)
2011-08-10 02:09 UTC, Sean Rogers
no flags Details

Description Sean Rogers 2011-08-10 02:09:03 UTC
Created attachment 517509 [details]
Screenshot showing the bug

20110810-1126 /CustomRelatedTopicList.xhtml

When creating multiple relationships, the currently related topic list at the top shows the same relationship multiple times instead of other relationships.

Refer to the screenshot. It lists topic 4790 three times, but 4791 and 4792 are also related but not listed.

Comment 1 Sean Rogers 2011-08-10 02:13:05 UTC
Possibly has something to do with relating consecutively-numbered topics?

Comment 2 Matthew Casperson 2011-08-11 01:21:15 UTC
Fixed in 20110811-1120
Seemed to be an issue using the c:forEach tag over a Set whose order keeps changing


Note You need to log in before you can comment on or make changes to this bug.